  # delimit ;


**************************************************************************************************************
* This file is run before all anaylysis files

**************************************************************************************************************;

***Indicator variables of peple to drop;
	*Make an indicator for all those who were interviewed in error in cognitive data;
		gen 	flag_wrongperson_cog=1 if book5==0 & flag_cogdata==1 & age<15;
		replace flag_wrongperson_cog=1 if book3==0 & flag_cogdata==1 & age>=15;
	
	*Indicator of the observations that need to be dropped for the cognitive data;
		gen drop_cogsamp=(drop_missvarCog==1 | flag_wrongperson_cog==1);

***Globals for treatment effects; 
	*Single Diff;
   	global treatSD25new    	treat74new_gr1 treat74new_gr4 treat74new_gr3 treat74new_gr2 i.group;
   	  
    *Double Diff;
   	global treatDD25new    	treat_dss treat74new_gr4 treat74new_gr3 treat74new_gr2 i.group;
   
***Control Globals;
   global dependInd60  female islamic ;


/*NOTE: This part of the file will not run because these data are not included in data file - they are not publically available.
***Make Globals for baseline characteristics;

 global baseline_ch_dss_74 hhc_bari_size74_cen74  
                        hhc_famsize74_cen74     hhc_walltinmix74_cen74 hhc_rooftin74_cen74  	hhc_nboat74_cen74
                        hhc_lamp74_cen74     	hhc_watch74_cen74      hhc_radio74_cen74   		hhc_nroom_pc74_cen74   hhc_ncow74_cen74
                        hhc_latfix74_cen74  	hhc_drinktw74_cen74    hhc_drinktkw74_cen74 	hhc_drinkoth74_cen74
                        hhh_ed_yrs74_cen74   	hhh_agria74_cen74      hhh_fisha74_cen74 		hhh_age74_cen74 
                        hhhsp_ed_yrs74_cen74 	hhhsp_age74_cen74;
                                						
                                                 
  global baseline_ch_dss_74_cl 
                        hhc_famsize74_cen74_cl      hhc_walltinmix74_cen74_cl hhc_rooftin74_cen74_cl  	hhc_nboat74_cen74_cl
                        hhc_lamp74_cen74_cl     	hhc_watch74_cen74_cl      hhc_radio74_cen74_cl   	hhc_nroom_pc74_cen74_cl   hhc_ncow74_cen74_cl
                        hhc_latfix74_cen74_cl  		hhc_drinktw74_cen74_cl    hhc_drinktkw74_cen74_cl 	hhc_drinkoth74_cen74_cl
                        hhh_ed_yrs74_cen74_cl   	hhh_agria74_cen74_cl      hhh_fisha74_cen74_cl 		hhh_age74_cen74_cl 
                        hhhsp_ed_yrs74_cen74_cl 	hhhsp_age74_cen74_cl;
                                             
 global baseline_ch_miss
                        hhc_famsize74_miss   hhc_walltin74_miss   hhc_walltinmix74_miss hhc_rooftin74_miss  hhc_nboat74_miss    hhc_quilt74_miss
                        hhc_lamp74_miss      hhc_watch74_miss     hhc_radio74_miss    hhc_nroom_pc74_miss  hhc_ncow74_miss
                        hhc_latfix74_miss    hhh_ed_yrs74_miss    hhh_agria74_miss    hhh_fisha74_miss    hhh_age74_miss
                        hhc_drinktw74_miss   hhc_drinkrc74_miss  hhc_drinktkw74_miss; 

   	 
*** Filled in missing baseline characteristics with means;
	foreach var of global baseline_ch_dss_74 {;
                        quietly sum     `var';
                        gen     `var'meanT        =r(mean) if treat_dss==1;
                        gen     `var'meanC        =r(mean) if treat_dss==0;

                        gen     `var'_cl        =`var';
                        replace `var'_cl        =`var'meanT if `var'==. & `var'meanT~=.;
                        replace `var'_cl        =`var'meanC if `var'==. & `var'meanC~=.;
                        gen     `var'_miss      =(`var'==.);
                        drop    `var'mean*;
      };
*/

***Top code weights;
	gen 	new_wt_ind4		=new_wt_rst2*new_wt_hh;
	gen 	new_wt_ind4top	=new_wt_ind4;
	replace new_wt_ind4top	=42 if new_wt_ind4>=42 & new_wt_ind4~=.;
	
***Mark Potential Outliers;

	 reg   ZMMSE_total  $treatDD25new i.group i.yob_mhss if drop_cogsamp~=1 , vce(ols);           

     predict lev 	, leverage; 
     predict d 		, cooksd; 
     gen	lev_cut = 0.018; 
  	 gen	d_cut	=4/e(N);
     
     predict dfit   , dfits; *cut off 2*sqrt(k/n)=2*sqrt(52/5662)=.021; 
     gen dfit_cut=(2*sqrt(5 7/e(N)));
     
	gen outlier=(lev>=lev_cut & d>=d_cut & new_wt_ind4>=42) if treat_dss~=.;
 


	       
        
        
        
