# delimit ;
clear all;
set mem 200m;
set more off;

version 11;

***Directory Globals:
	global data         "/Users/taniabarham/Documents/MyDocuments/Projects/bangadesh/Cognitive/Data/";
	global regression   "/Users/taniabarham/Documents/MyDocuments/Projects/bangadesh/Cognitive/Code/Publication/";

capture log close;
log using  "${regression}CogReg_June2011_TOTIV_Table8.log", replace;

use "${data}cognitiveFinalPublication.dta", clear;
quietly do "${regression}BeforeReg_June2011.do";

*	replace mom_EverContracpt=0 if mom_age>=59; *No contraception ever available to these women during reproductive year;
					
***Globals ;
  
* **********************************
* Program to run Linear Regressions
* **********************************;

*****IV Regressions;
capture program drop reglin_IV;
program define reglin_IV;

   syntax varlist [if] [pweight];
    tempvar touse;
    mark `touse' `if';

    *IV regression;
    
xi:        ivreg2 `varlist' (childint_2plus mom_EverContracpt= treat74new_gr4 mom_eligible)  islamic female $baseline_ch_dss_74_cl i.yob_mhss1
                    [`weight' `exp'] if `touse', cluster(vill) first; 
            outreg2   using "${regression}CogReg_June2011_TOTIV_Table8",  dec(2) sym(**,*, +) adjr2 append;    


xi:        ivreg2 `varlist' (childint_4plus mom_EverContracpt= treat74new_gr4 mom_eligible) islamic female $baseline_ch_dss_74_cl i.yob_mhss1
                    [`weight' `exp'] if `touse', cluster(vill) first; 
            outreg2   using "${regression}CogReg_June2011_TOTIV_Table8",  dec(2) sym(**,*, +) adjr2 append;    

end;


* ==================
*    RUN PROGRAMS
* ==================;

**Make program to open outreg file;
     reg `varlist' $treatDD25new , cluster(vill);
        outreg2  using "${regression}CogReg_June2011_TOTIV_Table8", dec(2) sym(**,*, +) adjr2  replace;

* =====================
*   Run model
* =====================;

*Run TOT with IV;
   reglin_IV ZMMSE_total; *Unweighted;
   reglin_IV ZMMSE_total [pweight=new_wt_ind4top] if  outlier==0; *Weighted;
log close;
