
# delimit ;
clear all;

set matsize 5000;
set mem 200m;
set more off;

version 11;

***Directory Globals;
	global data         "/Users/taniabarham/Documents/MyDocuments/Projects/bangadesh/Cognitive/Data/";
	global regression   "/Users/taniabarham/Documents/MyDocuments/Projects/bangadesh/Cognitive/Code/Publication/";

capture log close;
log using  "${regression}CogReg_June_2011_HeightEd_Table9.log", replace;

use "${data}cognitiveFinalPublication.dta", clear;

     do "${regression}BeforeReg_June2011.do";
   
* **********************************
* Program to run Linear Regressions
* **********************************;

***Single Difference;

capture program drop reglin_SS;
program define reglin_SS;

    syntax varlist [if][pweight] ;
    tempvar touse;
    mark `touse' `if';
 
         reg `varlist' $treatSD25new $baseline_ch_dss_74_cl  ${dependInd60} i.yob_mhss 
                      [`weight' `exp'] if `touse' , cluster(vill);
              outreg2   using "${regression}CogReg_June2011_HeightEd_Table9", dec(2)  sym(**,*, +) adjr2  append;                     
 
end; * ends prog regslin_SS;


***Double Difference;
capture program drop reglin_DD;
program define reglin_DD;

     syntax varlist [if] [pweight];
    tempvar touse;
    mark `touse' `if';

       
          reg  `varlist' $treatDD25new $baseline_ch_dss_74_cl   $dependInd60  i.yob_mhss1
                    [`weight' `exp'] if `touse' , cluster(vill);
                outreg2  using "${regression}CogReg_June2011_HeightEd_Table9", dec(2)  sym(**,*,+) adjr2  append;                   
end; * ends prog regslin_DD;


* ==================
*    RUN PROGRAMS
* ==================;

***Make program to open outreg file;
    xi: reg `varlist' $treatSD25new , cluster(vill);
		outreg2  using "${regression}CogReg_June2011_HeightEd_Table9",  bdec(1) sym(**,*,+) replace;
 
***Height;  
	*Unweighted;   
       	reglin_DD ZASheight ; *Full sample;
       	reglin_DD ZASheight if drop_cogsamp==0 & MMSE_total~=.; *Cognitive Sample;          
    *Weighted;   
       reglin_DD ZASheight 		[pweight=new_wt_ind4];                           
       reglin_DD ZASheight 		[pweight=new_wt_ind4top] if outlier==0 & drop_cogsamp==0 & MMSE_total~=.;

***Education;
	*Unweighted;
      reglin_SS ZASbk_ed_yrs 		; 
      reglin_SS ZASbk_ed_yrs 	if drop_cogsamp==0 & MMSE_total~=.	;       
 
 	*Weighted;
      reglin_SS ZASbk_ed_yrs 	[pweight=new_wt_ind4];      
      reglin_SS ZASbk_ed_yrs 	[pweight=new_wt_ind4top] if outlier==0 & drop_cogsamp==0 & MMSE_total~=.;  

log close;
