#delim;
clear all;
set mem 500M;
set obs 10000;
set more off;

version 11;

***Directory Globals:
	global data         "/Users/taniabarham/Documents/MyDocuments/Projects/bangadesh/Cognitive/Data/";
	global regression   "/Users/taniabarham/Documents/MyDocuments/Projects/bangadesh/Cognitive/Code/Publication/";
capture log close;
log using  "${random}SumStat_June2011_Tables2_3.log", replace;

***Globals; 						
 global all_basechar2    MMSE25pl MMSE_20_24 MMSE_15_19 MMSE_8_14
 						 age female hindu ed_yrs   
                         hhc_famsize74_cen74_cl  hhc_lamp74_cen74_cl hhc_watch74_cen74_cl hhc_radio74_cen74_cl  hhc_walltinmix74_cen74_cl 
                         hhc_rooftin74_cen74_cl  hhc_latfix74_cen74_cl 
                         hhc_nroom_pc74_cen74_cl  
                         hhc_ncow74_cen74_cl    hhc_nboat74_cen74_cl
                         hhc_drinktw74_cen74_cl   hhc_drinktkw74_cen74_cl hhc_drinkoth74_cen74_cl
                         hhh_age74_cen74_cl hhh_ed_yrs74_cen74_cl   hhh_agria74_cen74_cl    hhh_fisha74_cen74_cl   
 						 hhhsp_age74_cen74_cl hhhsp_ed_yrs74_cen74_cl;
 	
 global all_basechar_15       
                         hhc_famsize74_cen74_cl  hhc_lamp74_cen74_cl hhc_watch74_cen74_cl hhc_radio74_cen74_cl  hhc_walltinmix74_cen74_cl 
                         hhc_rooftin74_cen74_cl  hhc_latfix74_cen74_cl 
                         hhc_nroom_pc74_cen74_cl  
                         hhc_ncow74_cen74_cl    hhc_nboat74_cen74_cl
                         hhc_drinktw74_cen74_cl   hhc_drinktkw74_cen74_cl hhc_drinkoth74_cen74_cl
                         hhh_age74_cen74_cl hhh_ed_yrs74_cen74_cl   hhh_agria74_cen74_cl    hhh_fisha74_cen74_cl   
 						 hhhsp_age74_cen74_cl hhhsp_ed_yrs74_cen74_cl;
 global hieght_ed 	height25pl height_20_24 height_15_19 height_8_14 
				    bk_ed_yrs25pl bk_ed_yrs_20_24 bk_ed_yrs_15_19 bk_ed_yrs_8_14;

***Bring in data;
	use "${data}cognitiveFinalPublication", clear;

 	do "${regression}BeforeReg_June2011.do";



***Make treatment var for control area;
     gen     treatE74    =1   if treat_dss==0;
     replace treatE74    =0   if treat_dss==1;
     replace treatE74    =.   if treat_dss==.;
 
***Make MMSE scores / Hieght / Education by birth cohort;

	gen     MMSE25pl      	=MMSE_total if group1==1;	
    gen     MMSE_20_24    	=MMSE_total if group2==1;
    gen     MMSE_15_19    	=MMSE_total if group3==1;                 
    gen     MMSE_8_14     	=MMSE_total if group4==1;


	replace height=. if ZASheight==.;
	gen     height25pl    		=height if group1==1;
    gen     height_20_24    	=height if group2==1;
    gen     height_15_19    	=height if group3==1;                 
    gen     height_8_14     	=height if group4==1;

	gen     bk_ed_yrs25pl      	=bk_ed_yrs if group1==1; 
    gen     bk_ed_yrs_20_24    	=bk_ed_yrs if group2==1;
    gen     bk_ed_yrs_15_19    	=bk_ed_yrs if group3==1;                 
    gen     bk_ed_yrs_8_14     	=bk_ed_yrs if group4==1;

 /* 
*** Summary Stats for Hieght and Education (Table 2) - do separtely since have more observations;
  	**Unweighted ;  
        capture postclose HHCvill90 ;
        postfile HHCvill90 str20 outcome float meanT seT  Ntreat meanC seC  Ncontrol diffmeans diffse 
            difftstat diffsd_all  Ntot   using "${regression}SumStat_June2011_HeightEd", replace;

        foreach var of global hieght_ed {;
            reg `var' treat_dss , cluster (vill);

            *Get means for tx & cntrl groups;
                matrix  coef            = e(b);
                matrix  l coef;
                svmat   coef;
                scalar  meanC     =coef2 in 1;
                scalar  diffmean  =coef1 in 1;
                scalar  meanT     = meanC + diffmean;

            *Get N for tx & cntrl groups;
                egen    ntreattemp      =count(treat_dss) if e(sample) & treat_dss==1;
                egen    ntreat          =max(ntreat); *Put on all obs;
                egen    ncontroltemp    =count(treat_dss) if e(sample) & treat_dss==0;
                egen    ncontrol        =max(ncontrol); *Put on all obs;
                drop    ntreattemp ncontroltemp;

            *Get total N;
                matrix N                = e(N);
                svmat N;

 
            *Get Std. Errors for control & difference in means;
                matrix  V               =e(V);
                svmat   V;
                scalar  seC             = sqrt(V2) in 2;
                scalar  sdC				= sqrt(ncontrol)*seC;
                scalar  diffse          = sqrt(V1) in 1;
                matrix drop V;

            *Make t-stat for diff in means;
                scalar     difftstat       =diffmean/diffse;

            *Get Treatment Std. Err;
            reg `var' treatE74, cluster (vill);
                matrix      Var           = e(V);
                svmat       Var;
                scalar      seT = sqrt(Var2) in 2;
                scalar      sdT = sqrt(ntreat)*seT;
                matrix drop Var;
            
           	mean `var', cl(vill);
           	scalar sd=sqrt(ntreat+ncontrol)*r(se);
               
            scalar diffsd_all    =diffmean/sd;

    	*Output the means, differences in means, std. errs, t-stat, & Ns.;
        	post HHCvill90 ("`var'")  (meanT) (sdT) (ntreat) (meanC) (sdC) (ncontrol) (diffmean) (diffse) (difftstat) (diffsd_all)  (N1) ;
        	scalar drop _all;
        	matrix drop _all;
        	drop ntreat ncontrol coef1 coef2 N1 V1 V2 Var1 Var2 ;

      		};
    		postclose  HHCvill90;
			preserve;

			use         "${regression}SumStat_June2011_HeightEd.dta", clear;

    	*Format output;
    		format  meanT seT diffmeans diffse difftstat meanC seC diffsd_all     %9.1f;
			outsheet    using   "${regression}SumStat_June2011_HeightEd", replace;
			restore;

 	**WEIGHTED;
 	    svyset vill [pweight=new_wt_ind4top], clear;
        capture postclose HHCvill90_W ;
        postfile HHCvill90_W str20 outcome float meanT seT  Ntreat meanC seC  Ncontrol diffmeans diffse
            difftstat diffsd_all   Ntot   using "${regression}SumStat_June2011_HeightEd_w", replace;

        foreach var of global hieght_ed  {;
        svy:   reg `var' treat_dss if outlier~=1;

            *Get means for tx & cntrl groups;
                matrix  coef            = e(b);
                matrix  l coef;
                svmat   coef;
                scalar  meanC     =coef2 in 1;
                scalar  diffmean  =coef1 in 1;
                scalar  meanT     = meanC + diffmean;

            *Get N for tx & cntrl groups;
                egen    ntreattemp      =count(treat_dss) if e(sample) & treat_dss==1;
                egen    ntreat          =max(ntreat); *Put on all obs;
                egen    ncontroltemp    =count(treat_dss) if e(sample) & treat_dss==0;
                egen    ncontrol        =max(ncontrol); *Put on all obs;
                drop    ntreattemp ncontroltemp;

            *Get total N;
                matrix N                = e(N);
                svmat N;

 
            *Get Std. Errors for control & difference in means;
                matrix  V               =e(V);
                svmat   V;
                scalar  seC             = sqrt(V2) in 2;
                scalar  sdC 			= sqrt(ncontrol)*seC;
                scalar  diffse          = sqrt(V1) in 1;
                matrix drop V;

            *Make t-stat for diff in means;
                scalar     difftstat       =diffmean/diffse;

            *Get Treatment Std. Err;
            svy: reg `var' treatE74 if outlier~=1;
                matrix      Var           = e(V);
                svmat       Var;
                scalar      seT = sqrt(Var2) in 2;
                scalar      sdT = sqrt(ntreat)*seT;
                matrix drop Var;

		    svy:	mean `var';
           	scalar sd=sqrt(ntreat+ncontrol)*r(se);
                
            scalar diffsd_all    =diffmean/sd;
            scalar diffsd_T      =diffmean/sdT;
            scalar diffsd_C      =diffmean/sdC;

    	*Output the means, differences in means, std. errs, t-stat, & Ns.;
        	post HHCvill90_W ("`var'")  (meanT) (seT) (ntreat) (meanC) (seC) (ncontrol) (diffmean) (diffse) (difftstat) (diffsd_all)  (N1) ;
        	scalar drop _all;
        	matrix drop _all;
        	drop ntreat ncontrol coef1 coef2 N1 V1 V2 Var1 Var2  ;

      		};
    		postclose  HHCvill90_W;
			preserve;
			use         "${regression}SumStat_June2011_HeightEd_w.dta", clear;

    	*Format output;
    		format  meanT seT diffmeans diffse difftstat meanC seC diffsd_all   %9.1f;
			outsheet    using   "${regression}SumStat_June2011_HeightEd_w", replace;
	restore;

 
*** Summary Stats for MMSE (Table 2) and Baseline Characteristics (Table 3)- do separtely since have more observations;
	**Only keep cognitive sample;
		drop if MMSE_total==.;
		drop if drop_cogsamp==1; *this drops ones which are all missing in the cognitive data;
	
  	**Unweighted ;  
        capture postclose HHCvill90 ;
        postfile HHCvill90 str20 outcome float meanT seT  Ntreat meanC seC  Ncontrol diffmeans diffse 
            difftstat diffsd_all  Ntot   using "${regression}SumStat_June2011_MMSE", replace;

        foreach var of global all_basechar2 {;
            reg `var' treat_dss , cluster (vill);

            *Get means for tx & cntrl groups;
                matrix  coef            = e(b);
                matrix  l coef;
                svmat   coef;
                scalar  meanC     =coef2 in 1;
                scalar  diffmean  =coef1 in 1;
                scalar  meanT     = meanC + diffmean;

            *Get N for tx & cntrl groups;
                egen    ntreattemp      =count(treat_dss) if e(sample) & treat_dss==1;
                egen    ntreat          =max(ntreat); *Put on all obs;
                egen    ncontroltemp    =count(treat_dss) if e(sample) & treat_dss==0;
                egen    ncontrol        =max(ncontrol); *Put on all obs;
                drop    ntreattemp ncontroltemp;

            *Get total N;
                matrix N                = e(N);
                svmat N;

            *Get Std. Errors for control & difference in means;
                matrix  V               =e(V);
                svmat   V;
                scalar  seC             = sqrt(V2) in 2;
                scalar  sdC				= sqrt(ncontrol)*seC;
                scalar  diffse          = sqrt(V1) in 1;
                matrix drop V;

            *Make t-stat for diff in means;
                scalar     difftstat       =diffmean/diffse;

            *Get Treatment Std. Err;
            reg `var' treatE74, cluster (vill);
                matrix      Var           = e(V);
                svmat       Var;
                scalar      seT = sqrt(Var2) in 2;
                scalar      sdT = sqrt(ntreat)*seT;
                matrix drop Var;
            
           	mean `var', cl(vill);
           	scalar sd=sqrt(ntreat+ncontrol)*r(se);
               
            scalar diffsd_all    =diffmean/sd;
            scalar diffsd_T      =diffmean/sdT;
            scalar diffsd_C      =diffmean/sdC;


    	*Output the means, differences in means, std. errs, t-stat, & Ns.;
        	post HHCvill90 ("`var'")  (meanT) (sdT) (ntreat) (meanC) (sdC) (ncontrol) (diffmean) (diffse) (difftstat) (diffsd_all) (N1) ;
        	scalar drop _all;
        	matrix drop _all;
        	drop ntreat ncontrol coef1 coef2 N1 V1 V2 Var1 Var2 ;
      		};
    		postclose  HHCvill90;
			preserve;

			use         "${regression}SumStat_June2011_MMSE.dta", clear;

    	*Format output;
    		format  meanT seT diffmeans diffse difftstat meanC seC diffsd_all    %9.2f;
			outsheet    using   "${regression}SumStat_June2011_MMSE", replace;

		restore;


 	**WEIGHTED;
 	    svyset vill [pweight=new_wt_ind4top], clear;
        capture postclose HHCvill90_W ;
        postfile HHCvill90_W str20 outcome float meanT seT  Ntreat meanC seC  Ncontrol diffmeans diffse
            difftstat diffsd_all  Ntot   using "${regression}SumStat_June2011_MMSE_w", replace;

        foreach var of global all_basechar2 {;
        svy:   reg `var' treat_dss if outlier~=1;

            *Get means for tx & cntrl groups;
                matrix  coef            = e(b);
                matrix  l coef;
                svmat   coef;
                scalar  meanC     =coef2 in 1;
                scalar  diffmean  =coef1 in 1;
                scalar  meanT     = meanC + diffmean;

            *Get N for tx & cntrl groups;
                egen    ntreattemp      =count(treat_dss) if e(sample) & treat_dss==1;
                egen    ntreat          =max(ntreat); *Put on all obs;
                egen    ncontroltemp    =count(treat_dss) if e(sample) & treat_dss==0;
                egen    ncontrol        =max(ncontrol); *Put on all obs;
                drop    ntreattemp ncontroltemp;

            *Get total N;
                matrix N                = e(N);
                svmat N;

 
            *Get Std. Errors for control & difference in means;
                matrix  V               =e(V);
                svmat   V;
                scalar  seC             = sqrt(V2) in 2;
                scalar  sdC 			= sqrt(ncontrol)*seC;
                scalar  diffse          = sqrt(V1) in 1;
                matrix drop V;

            *Make t-stat for diff in means;
                scalar     difftstat       =diffmean/diffse;

            *Get Treatment Std. Err;
            svy: reg `var' treatE74 if outlier~=1;
                matrix      Var           = e(V);
                svmat       Var;
                scalar      seT = sqrt(Var2) in 2;
                scalar      sdT = sqrt(ntreat)*seT;
                matrix drop Var;

		    svy:	mean `var';
           	scalar sd=sqrt(ntreat+ncontrol)*r(se);
                
            scalar diffsd_all    =diffmean/sd;
            scalar diffsd_T      =diffmean/sdT;
            scalar diffsd_C      =diffmean/sdC;

    	*Output the means, differences in means, std. errs, t-stat, & Ns.;
        	post HHCvill90_W ("`var'")  (meanT) (seT) (ntreat) (meanC) (seC) (ncontrol) (diffmean) (diffse) (difftstat) (diffsd_all) (N1) ;
        	scalar drop _all;
        	matrix drop _all;
        	drop ntreat ncontrol coef1 coef2 N1 V1 V2 Var1 Var2  ;

      		};
    		postclose  HHCvill90_W;
		preserve;
		use         "${regression}SumStat_June2011_MMSE_w.dta", clear;

    	*Format output;
    		format  meanT seT diffmeans diffse difftstat meanC seC diffsd_all %9.2f;
			outsheet    using   "${regression}SumStat_June2011_MMSE_w", replace;
			restore;
*/			
***** Make tables for those who are <15;
	*Use this drop to do tables on <15;
	drop if dob_mhss1<dategr3;

*** Summary Stats for MMSE (Table 2) and Baseline Characteristics (Table 3)- do separtely since have more observations;
	**Only keep cognitive sample;
		drop if MMSE_total==.;
		drop if drop_cogsamp==1; *this drops ones which are all missing in the cognitive data;
	
  	**Unweighted ;  
        capture postclose HHCvill90 ;
        postfile HHCvill90 str20 outcome float meanT seT  Ntreat meanC seC  Ncontrol diffmeans diffse 
            difftstat diffsd_all  Ntot   using "${regression}SumStat_June2011_MMSE_15", replace;

        foreach var of global all_basechar_15 {;
            reg `var' treat_dss , cluster (vill);

            *Get means for tx & cntrl groups;
                matrix  coef            = e(b);
                matrix  l coef;
                svmat   coef;
                scalar  meanC     =coef2 in 1;
                scalar  diffmean  =coef1 in 1;
                scalar  meanT     = meanC + diffmean;

            *Get N for tx & cntrl groups;
                egen    ntreattemp      =count(treat_dss) if e(sample) & treat_dss==1;
                egen    ntreat          =max(ntreat); *Put on all obs;
                egen    ncontroltemp    =count(treat_dss) if e(sample) & treat_dss==0;
                egen    ncontrol        =max(ncontrol); *Put on all obs;
                drop    ntreattemp ncontroltemp;

            *Get total N;
                matrix N                = e(N);
                svmat N;

            *Get Std. Errors for control & difference in means;
                matrix  V               =e(V);
                svmat   V;
                scalar  seC             = sqrt(V2) in 2;
                scalar  sdC				= sqrt(ncontrol)*seC;
                scalar  diffse          = sqrt(V1) in 1;
                matrix drop V;

            *Make t-stat for diff in means;
                scalar     difftstat       =diffmean/diffse;

            *Get Treatment Std. Err;
            reg `var' treatE74, cluster (vill);
                matrix      Var           = e(V);
                svmat       Var;
                scalar      seT = sqrt(Var2) in 2;
                scalar      sdT = sqrt(ntreat)*seT;
                matrix drop Var;
            
           	mean `var', cl(vill);
           	scalar sd=sqrt(ntreat+ncontrol)*r(se);
               
            scalar diffsd_all    =diffmean/sd;
            scalar diffsd_T      =diffmean/sdT;
            scalar diffsd_C      =diffmean/sdC;


    	*Output the means, differences in means, std. errs, t-stat, & Ns.;
        	post HHCvill90 ("`var'")  (meanT) (sdT) (ntreat) (meanC) (sdC) (ncontrol) (diffmean) (diffse) (difftstat) (diffsd_all) (N1) ;
        	scalar drop _all;
        	matrix drop _all;
        	drop ntreat ncontrol coef1 coef2 N1 V1 V2 Var1 Var2 ;
      		};
    		postclose  HHCvill90;
			preserve;

			use         "${regression}SumStat_June2011_MMSE_15.dta", clear;

    	*Format output;
    		format  meanT seT diffmeans diffse difftstat meanC seC diffsd_all    %9.2f;
			outsheet    using   "${regression}SumStat_June2011_MMSE_15", replace;

		restore;


 	**WEIGHTED;
 	    svyset vill [pweight=new_wt_ind4top], clear;
        capture postclose HHCvill90_W ;
        postfile HHCvill90_W str20 outcome float meanT seT  Ntreat meanC seC  Ncontrol diffmeans diffse
            difftstat diffsd_all  Ntot   using "${regression}SumStat_June2011_MMSE_15_w", replace;

        foreach var of global all_basechar_15 {;
        svy:   reg `var' treat_dss if outlier~=1;

            *Get means for tx & cntrl groups;
                matrix  coef            = e(b);
                matrix  l coef;
                svmat   coef;
                scalar  meanC     =coef2 in 1;
                scalar  diffmean  =coef1 in 1;
                scalar  meanT     = meanC + diffmean;

            *Get N for tx & cntrl groups;
                egen    ntreattemp      =count(treat_dss) if e(sample) & treat_dss==1;
                egen    ntreat          =max(ntreat); *Put on all obs;
                egen    ncontroltemp    =count(treat_dss) if e(sample) & treat_dss==0;
                egen    ncontrol        =max(ncontrol); *Put on all obs;
                drop    ntreattemp ncontroltemp;

            *Get total N;
                matrix N                = e(N);
                svmat N;

 
            *Get Std. Errors for control & difference in means;
                matrix  V               =e(V);
                svmat   V;
                scalar  seC             = sqrt(V2) in 2;
                scalar  sdC 			= sqrt(ncontrol)*seC;
                scalar  diffse          = sqrt(V1) in 1;
                matrix drop V;

            *Make t-stat for diff in means;
                scalar     difftstat       =diffmean/diffse;

            *Get Treatment Std. Err;
            svy: reg `var' treatE74 if outlier~=1;
                matrix      Var           = e(V);
                svmat       Var;
                scalar      seT = sqrt(Var2) in 2;
                scalar      sdT = sqrt(ntreat)*seT;
                matrix drop Var;

		    svy:	mean `var';
           	scalar sd=sqrt(ntreat+ncontrol)*r(se);
                
            scalar diffsd_all    =diffmean/sd;
            scalar diffsd_T      =diffmean/sdT;
            scalar diffsd_C      =diffmean/sdC;

    	*Output the means, differences in means, std. errs, t-stat, & Ns.;
        	post HHCvill90_W ("`var'")  (meanT) (seT) (ntreat) (meanC) (seC) (ncontrol) (diffmean) (diffse) (difftstat) (diffsd_all) (N1) ;
        	scalar drop _all;
        	matrix drop _all;
        	drop ntreat ncontrol coef1 coef2 N1 V1 V2 Var1 Var2  ;

      		};
    		postclose  HHCvill90_W;
		preserve;
		use         "${regression}SumStat_June2011_MMSE_15_w.dta", clear;

    	*Format output;
    		format  meanT seT diffmeans diffse difftstat meanC seC diffsd_all %9.2f;
			outsheet    using   "${regression}SumStat_June2011_MMSE_15_w", replace;

			restore;

log close;



